Create Listing: Entrata
https://api.propexo.com/v1/listings/entrata/| Method |
|---|
| propertyunits/sendPropertyUnits |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the lease period
The Propexo unique identifier for the floor plan
The Propexo unique identifier for the unit type
The Propexo unique identifier for the amenity
[]The number of bathrooms associated with the listing
The number of bedrooms associated with the listing
The city associated with the listing
The country associated with the listing
The date that the listing becomes available
Show 2 variants
Whether the listing is furnished
The unit number
The square footage of the listing
The state associated with the listing
The first address line associated with the listing
The second address line associated with the listing
The zip code associated with the listing
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the lease period
The Propexo unique identifier for the floor plan
The Propexo unique identifier for the unit type
The Propexo unique identifier for the amenity
[]The number of bathrooms associated with the listing
The number of bedrooms associated with the listing
The city associated with the listing
The country associated with the listing
Show 2 variants
Whether the listing is furnished
The unit number
The square footage of the listing
The state associated with the listing
The first address line associated with the listing
The second address line associated with the listing
The zip code associated with the listing
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/listings/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"lease_period_id": "string",
"floor_plan_id": "string",
"unit_type_id": "string",
"city": "string",
"country": "string",
"date_available": "2024-07-29T15:51:28.071Z",
"number": "string",
"state": "string",
"street_address_1": "string",
"zip": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"lease_period_id": "string",
"floor_plan_id": "string",
"unit_type_id": "string",
"amenity_ids": [
"string"
],
"bathrooms": 0,
"bedrooms": 0,
"city": "string",
"country": "string",
"date_available": "2024-07-29T15:51:28.071Z",
"is_furnished": true,
"number": "string",
"square_feet": 0,
"state": "string",
"street_address_1": "string",
"street_address_2": "string",
"zip": "string"
}
}